GSPL-PQ(1)

NAME
gspl-pq - view spool queue interactively

SYNOPSIS
gspl-pq [ -options ]

DESCRIPTION
gspl-pq is a screen-oriented program which displays in real time the current state of the GNUspool spool queue and printer list, refreshing the screen automatically as the queue changes or printer state changes, and allowing the status of jobs on the queue to be altered according to each user's permissions and privileges. For more information about the details of the interactive commands, please see the on-line help information, obtained by pressing ? (although this may be changed on your site). This section focuses on the command-line options which may be used to control the initial display.

OPTIONS
Note that the order of treatment, letters and keywords described below may be modified by editing the file rest.help - see spsyntax(5). The environment variable on which options are supplied is "GSPL_PQ" and the environment variable to specify the help file is "SPQCONF".

Certain commands available on-screen enable many of these options to be changed and saved in configuration files.

-? or +explain
    causes a summary of the other options to be displayed without taking further action.

-A or +no-confirm-abort
    do not require confirmation of any jobs being aborted or deleted.

-a or +confirm-abort
    require confirmation of all jobs being aborted or deleted. If a previous -A option has been given, this will restore the default of only requiring confirmation for unprinted jobs. A further -a option in these circumstances will require confirmation in all cases.

-B or +no-help-box
    put help messages in inverse video rather than in a box (default).

-b or +help-box
    put help messages in a box rather than displaying inverse video.

-C classcode or +classcode classcode
    list only jobs and printers which match (have at least one bit in common with) the specified classcode.

-D or +printed-jobs
    restrict the jobs display to jobs which have been printed.

-d or +dont-care
    cancel -j or -p options; the cursor will be in the jobs section of the screen if there are any jobs to display and otherwise in the printers section, unless the user does not have access to the printer list.

-E or +page-counts
    try to display page counts of jobs where applicable.

-e or +no-page-counts
    do not try to display page counts in jobs, just the size in bytes.

-H or +keep-char-help
    when displaying a help screen, interpret the next key press as a command as well as clearing the help screen.

-h or +lose-char-help
    discard whatever key press is made to clear a help screen.

-I or +include-all
    display all jobs regardless of printer (but still, if appropriate, restrict the display of printers).

-j or +jobs-screen
    commence with cursor in jobs section of the screen.

-l or +local-only
    display only jobs or printers local to the host on which gspl-pq is invoked.

-M or +no-error-box
    put error messages in inverse video rather than in a box.

-m or +error-box
    put error messages in a box rather than displaying inverse video.

-n or +follow-job
    if a job or printer moves on the screen, try to follow it.

-P number or +number-printers number
    set the number of lines on the printer section of the screen to number.

-p or +printer-screen
    commence with cursor in printers section of the screen.

-q name or +list-only name
    list only jobs whose destination includes, or printers whose name matches name.

    name may be a pattern with wild cards matched in a similar fashion to the shell.

            -q 'a*'

    displays jobs with printer names and printers whose names start with "a".

            -q '[p-t]*,*[!h-m]'

    displays jobs and printer whose names start with "p" to "t" or end with anything other than "h" to "m".

    To cancel this argument, give a single - sign as name.

-R number or +refresh-time number
    set the screen refresh time to number. This only affects minor changes such as the current page count. Addition or deletion of jobs etc count as major changes and will cause an immediate screen refresh.

-r or +remotes
    display jobs or printers on all attached hosts.

-S or +sort-ptrs
    sort printers into order by host identifier and name.

-s or +keep-cursor
    if a job or printer moves on the screen, try to preserve the relative position of the cursor on the screen rather than following the job or variable.

-t pattern or +just-title pattern
    Restrict the display to jobs whose title matches the pattern specified.

    The pattern may be a pattern with shell-like wild cards as in the description of the -q parameter.

-U or +no-sort-ptrs
    display printers in the order encountered (default).

-u user or +just-user user
    Restrict the display to jobs owned by the user specified.

    The user name may be a pattern with shell-like wild cards as in the description of the -q parameter.

-Y or +all-jobs
    cancel the display restrictions of -y or -D.

-y or +unprinted-jobs
    restrict the jobs display to jobs which have not been printed.

-Z or +no-include-null
    when listing jobs and printers restricted by a -q argument, do not include jobs without a destination printer.

-z or +include-null
    when listing jobs and printers restricted by a -q argument, include jobs without a destination printer.

FILES
~/.gnuspool configuration file (home directory)

.gnuspool configuration file (current directory)

spq.help message file

gnuspoolptrs printers directory

spshed_reps error log file

ENVIRONMENT

GSPL_PQ
    space-separated options to override defaults.

SPQCONF
    path name of alternative message file.

SEE ALSO
gspl-pr(1), gspl-user(1), gspl-qdel(1), gspl-qchange(1), gspl-qlist(1), gspl-plist(1), gnuspool.conf(5), gnuspool.hosts(5).

DIAGNOSTICS
Various diagnostics are read as required from the message file spq.help. In most cases (unless something drastic happens) these are displayed on the screen.

Messages about key conflicts are probably because entries in your terminfo file contain duplications. Please see the GNUspool Installation Guide.

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.